org.apache.sysds.runtime.compress.cocode

## Class CoCodeCost

- java.lang.Object
- - org.apache.sysds.runtime.compress.cocode.AColumnCoCoder
  - - org.apache.sysds.runtime.compress.cocode.CoCodeCost

    public class CoCodeCost
    extends AColumnCoCoder

Column group partitioning by number of distinct items estimated. This allows us to join columns based on the worst case estimate of the joined sizes. Then once we decide to join, if the worst case is okay, we then analyze the actual cardinality of the join. This method allows us to compress many more columns than the BinPacking

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`